#!/usr/bin/python3

import logging
import os
from pydbus import SystemBus
from gi.repository import GLib
import sms_functions

def assemble_sms():
    str_list = []
    str_list.append("Observium {}\n".format(os.environ.get('OBSERVIUM_TITLE')))
    str_list.append("{} [{}]\n".format(os.environ.get('OBSERVIUM_ENTITY_NAME'), os.environ.get('OBSERVIUM_ENTITY_DESCRIPTION')))
    str_list.append("{}".format(os.environ.get('OBSERVIUM_DURATION')))
    return ''.join(str_list)

# Setup logging
logfile = "/opt/sms/sms.log"
FORMAT = '%(asctime)-15s %(message)s'
logging.basicConfig(format=FORMAT,filename=logfile,level=10)
logger = logging.getLogger('observiumsms')

# Assemble SMS
smsstring = assemble_sms()
logger.info("Sending SMS: %s", smsstring)

# Contact ModemManager, unlock SIM and send SMS to emergency numbers
sms_functions.send_sms(, smsstring)
